[Solved]MMDevApi error

Problems and solutions for installing or running FreeOrion, including discussion of bugs if needed before posting a bug report. For problems building from source, post in Compile.

Moderators: Oberlus, Oberlus

Post Reply
Message
Author
User avatar
andrewthehammer87
Krill Swarm
Posts: 10
Joined: Wed Aug 05, 2015 2:35 pm
Location: Hungary

[Solved]MMDevApi error

#1 Post by andrewthehammer87 » Fri Aug 14, 2015 10:56 pm

Since, recent releases there's an error message that appears, every time I start the program. Although, I don't experience any errors while playing, it's just weird.
AL lib: <WW> MMDevApiMsgProc: Failed to create IMMDeviceEnumerator instance: 0x80040154
AL lib: <WW> alc_initconfig: Failed to initialize backend "mmdevapi"
freeorion.JPG
freeorion.JPG (132.05 KiB) Viewed 1474 times
I thought you might know about this, but ever since nobody else has reported it, then maybe it's only my OS, cause I'm still using XP.
Last edited by andrewthehammer87 on Mon Nov 30, 2015 1:35 pm, edited 1 time in total.
All my work released for FreeOrion is licensed under CC BY-SA 3.0

User avatar
Dilvish
AI Lead, Programmer
Posts: 4768
Joined: Sat Sep 22, 2012 6:25 pm

Re: MMDevApi error

#2 Post by Dilvish » Sat Aug 15, 2015 3:16 am

well doing a search on that error message suggests a couple possibilities. This thread indicates it could be caused just by not having the OpenAL libraries installed. DId you recently change your system setup? The last time I see a direct change to our OpenAL handling was about a year ago.

One of the other threads had indicated a very similar message could be generated if shutting the app down a little too fast for OpenAL to respond, but I don't really see anything in our recent-ish log files that really seems pertinent.
If I provided any code, scripts or other content here, it's released under GPL 2.0 and CC-BY-SA 3.0

User avatar
Geoff the Medio
Programming, Design, Admin
Posts: 12422
Joined: Wed Oct 08, 2003 1:33 am
Location: Munich

Re: MMDevApi error

#3 Post by Geoff the Medio » Sat Aug 15, 2015 7:36 am

I don't think anything relevant has changed in the audio code recently. Does switching back to an older version stop the issue?

User avatar
andrewthehammer87
Krill Swarm
Posts: 10
Joined: Wed Aug 05, 2015 2:35 pm
Location: Hungary

[Solved] Re: MMDevApi error

#4 Post by andrewthehammer87 » Mon Nov 30, 2015 1:35 pm

Actually the Official 0.4.4 release doesn't have this error message,although OpenAL is installed.
I've been experiencing it since 2 test builds so far.

This means that it's not big problem.

EDIT(2015-11-30): After updating or meaning downgrading XP, freeing from updates, the error's gone. I presume that not all updates do the best for you. I don't know exactly which one of the xp updates or addons caused it, but now it's gone. Solved.
All my work released for FreeOrion is licensed under CC BY-SA 3.0

User avatar
EricF
Space Dragon
Posts: 354
Joined: Fri Jul 29, 2016 10:12 am

Re: [Solved]MMDevApi error

#5 Post by EricF » Fri Jul 29, 2016 6:03 pm

I'm using Win XP(SP3) and FreeOrion_2016-07-26.ba59cf7_Test_Win32_Setup.exe and I get this same error message.
Is it anything to worry about?

User avatar
Geoff the Medio
Programming, Design, Admin
Posts: 12422
Joined: Wed Oct 08, 2003 1:33 am
Location: Munich

Re: [Solved]MMDevApi error

#6 Post by Geoff the Medio » Sat Jul 30, 2016 9:33 pm

If your sound works, probably not.

User avatar
EricF
Space Dragon
Posts: 354
Joined: Fri Jul 29, 2016 10:12 am

Re: [Solved]MMDevApi error

#7 Post by EricF » Sun Jul 31, 2016 10:16 pm

Sound and music work normally.

User avatar
adrian_broher
Programmer
Posts: 1082
Joined: Fri Mar 01, 2013 9:52 am
Location: Germany

Re: [Solved]MMDevApi error

#8 Post by adrian_broher » Tue Aug 02, 2016 2:41 pm

Is it anything to worry about?
The message is completely irrelevant. Note the "(WW)" tag, it's an OpenAL internal warning. It only notes that OpenAL tries to use the MMDevAPI (multimedia devices API, the most recent way on windows to programmatical way to access and use sound devices) and can't access it, because the first Windows OS that supports MMDevAPI is Windows Vista. OpenAL will then fall back to directsound IIRC. So the warning won't go away in the future because the library is just configured as we intended (Use MMDevAPI first or fall back to DirectSound).
well doing a search on that error message suggests a couple possibilities. This thread indicates it could be caused just by not having the OpenAL libraries installed.
We distribute our own OpenAL library with the installer, so having a system installation or not is completely irrelevant.
Resident code gremlin
Attached patches are released under GPL 2.0 or later.
Git author: Marcel Metz

Post Reply